@import 'src/variables';
.actor_info {
  display: flex;
  flex-direction: column;
  color: $secondaryGreyColor;
  padding: 40px;
  min-height: 100vh;
  .general_info_container {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    gap: 20px;
    .general_info_img_container {
      display: flex;
      flex-direction: column;
      align-items: center;
      height: 335px;
      background: $primaryGreyColor;
      border-radius: 8px;
      .general_info_img {
        width: 210px;
        height: 295px;
      }
      .actor_heart_icon {
        padding: 4px 0;
        width: 100%;
        font-size: 2rem;
        text-align: center;
        cursor: pointer;
        transition: transform 0.5s ease-in-out;
        &:hover {
          transform: scale(1.05);
        }
      }
    }
    .general_info {
      width: 100%;
      .general_info_text p {
        line-height: 1.6;
      }
    }
    .general_info_panel {
      .title {
        margin: 0;
        color: $thirdGreyColor;
        font-size: 1.6rem;
        font-style: italic;
      }
      div {
        display: flex;
        align-items: center;
        gap: 4px;
        &:not(:first-child) {
          margin-top: 12px;
        }
        strong {
          margin-right: 8px;
          color: $thirdGreyColor;
        }
      }
    }
  }
}
